Security Enhanced Linux Reference Policy

# Layer: apps

## Module: irc

Tunables Templates

### Description:

IRC client policy.

### Tunables:

irc_manage_all_user_content

##### Default value

false

##### Description

Grant the irc domains manage rights on all user content

irc_manage_generic_user_content

##### Default value

false

##### Description

Grant the irc domains manage rights on generic user content

irc_read_all_user_content

##### Default value

false

##### Description

Grant the irc domains read access to all user content

irc_read_generic_user_content

##### Default value

true

##### Description

Grant the irc domains read access to generic user content

irc_use_any_tcp_ports

##### Default value

false

##### Description

Determine whether irc clients can listen on and connect to any unreserved TCP ports.

Return

### Templates:

irc_role( role_prefix , user_domain , user_exec_domain , role )

##### Summary

Role access for IRC.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user role (e.g., user is the prefix for user_r).
user_domain | User domain for the role.
user_exec_domain | User exec domain for execute and transition access.
role | Role allowed access

Return